import bpy


addon_keymaps = []


def register_keymaps():
	wm = bpy.context.window_manager

	# Add Pose
	km = wm.keyconfigs.addon.keymaps.new(name='Pose', space_type='EMPTY')
	kmi = km.keymap_items.new('wm.call_menu', 'L', 'PRESS', shift=True)
	kmi.properties.name = "OBJECT_MT_AddPoseMenu"
	addon_keymaps.append((km, kmi))

	# Browse Poses
	km = wm.keyconfigs.addon.keymaps.new(name='Pose', space_type='EMPTY')
	kmi = km.keymap_items.new('yapl.browse_poses', 'L', 'PRESS', alt=True)
	addon_keymaps.append((km, kmi))

def unregister_keymaps():
	for km, kmi in addon_keymaps:
		km.keymap_items.remove(kmi)
	addon_keymaps.clear()

def register():
    register_keymaps()

def unregister():
    unregister_keymaps()